/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package faces.bug.ajax;

import java.util.List;
import java.util.ArrayList;
import java.io.Serializable;

import javax.faces.bean.ManagedBean;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

/**
 *
 * @author pmensik
 */
@ManagedBean
@ViewScoped
public class BugBean implements Serializable {

    private List<Item> items;
    private int itemNumber = 0;

    @PostConstruct
    private void init() {
        items = new ArrayList<Item>();
    }
    
    public void createItems() {
        items.add(new Item("Name" + (++itemNumber), "Item" + itemNumber));
    }
    
    public String action(Item item) {
        return "page2?faces-redirect=true";
    }
    
    public List<Item> getItems() {
        return items;
    }
    
    public class Item {

        private String name;
        private String secondName;

        public Item(String name, String secondName) {
            this.name = name;
            this.secondName = secondName;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getSecondName() {
            return secondName;
        }

        public void setSecondName(String secondName) {
            this.secondName = secondName;
        }
    }
}
